Last Comment Bug 723772 - regression: Panning in XUL fennec does not start until finger is removed from screen.
: regression: Panning in XUL fennec does not start until finger is removed from...
Status: RESOLVED FIXED
: regression
Product: Fennec Graveyard
Classification: Graveyard
Component: Panning/Zooming (show other bugs)
: Firefox 12
: ARM Android
: -- major (vote)
: Firefox 13
Assigned To: Matt Brubeck (:mbrubeck)
:
:
Mentors:
Depends on: 723480
Blocks: 721484
  Show dependency treegraph
 
Reported: 2012-02-02 17:07 PST by Matt Brubeck (:mbrubeck)
Modified: 2013-12-10 10:00 PST (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (841 bytes, patch)
2012-02-02 17:30 PST, Matt Brubeck (:mbrubeck)
wjohnston2000: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Matt Brubeck (:mbrubeck) 2012-02-02 17:07:37 PST
Note: This is in a build of mozilla-central tip plus the patch from bug 723480.  (Without that patch, panning doesn't work at all.)

Steps to reproduce:
1) Drag to scroll any part of chrome or content in XUL Fennec.

Expected results: Scrolling happens as you move your finger.
Actual results: Nothing happens while you drag.  Scrolling happens after you lift your finger.

It looks like mouse events aren't sent until a touch is finished.  Possibly a regression from bug 721484.
Comment 1 Matt Brubeck (:mbrubeck) 2012-02-02 17:30:08 PST
Created attachment 594033 [details] [diff] [review]
patch

This fixes the bug for me.  Next I'll test to make sure it doesn't regress anything in native Fennec.
Comment 2 Wesley Johnston (:wesj) 2012-02-02 17:32:12 PST
Comment on attachment 594033 [details] [diff] [review]
patch

Review of attachment 594033 [details] [diff] [review]:
-----------------------------------------------------------------

r+ with a little change. Thanks for finding this matt!

::: widget/android/nsWindow.cpp
@@ -1586,3 @@
>      }
>      return false;
>  }

We can just remove this return and instead return preventPanning at the end.
Comment 3 Matt Brubeck (:mbrubeck) 2012-02-02 17:42:45 PST
Pushed with review comment addressed:
https://hg.mozilla.org/integration/mozilla-inbound/rev/9d1a7abd2991

QA note: It won't be possible to verify this fix until bug 723480 is fixed.
Comment 4 Matt Brubeck (:mbrubeck) 2012-02-02 17:50:48 PST
Comment on attachment 594033 [details] [diff] [review]
patch

[Approval Request Comment]
Regression caused by (bug #): bug 721484

User impact if declined: Panning is badly broken in XUL fennec.

Testing completed (on m-c, etc.): Landed on inbound 2/2.

Risk to taking this patch (and alternatives if risky): This is a low-risk Android-only trivial fix for some broken code.

String changes made by this patch: None.
Comment 5 Ed Morley [:emorley] 2012-02-03 11:04:19 PST
https://hg.mozilla.org/mozilla-central/rev/9d1a7abd2991
Comment 6 Alex Keybl [:akeybl] 2012-02-05 13:48:27 PST
Comment on attachment 594033 [details] [diff] [review]
patch

[Triage Comment]
Approved for Aurora 12 and Beta 11.
Comment 7 Mark Finkle (:mfinkle) (use needinfo?) 2012-02-06 09:24:14 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/e222d18ba92c
Comment 8 Wesley Johnston (:wesj) 2012-02-06 18:38:47 PST
https://hg.mozilla.org/releases/mozilla-beta/rev/4582aedd2320

Note You need to log in before you can comment on or make changes to this bug.